Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.

Bug 622101

Summary: mock claims to fail but build.log shows a successful build
Product: [Fedora] Fedora Reporter: Till Maas <opensource>
Component: mockAssignee: David Cantrell <dcantrell>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: dcantrell, mebrown, williams
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-03 07:55:13 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Till Maas 2010-08-07 06:27:29 EDT
Description of problem:

mock errors, but the build suceeded:
ERROR: Exception(cryptsetup-luks-1.1.3-1.fc12.src.rpm) Config(fedora-12-x86_64) 0 minutes 34 seconds
INFO: Results and/or logs in: /var/lib/mock/fedora-12-x86_64/result
ERROR: Command failed. See logs for output.
 # ['umount', '-n', '/var/lib/mock/fedora-12-x86_64/root/']

The same srpm builds fine in mock 1.0.7.

Version-Release number of selected component (if applicable):
mock.noarch 0:1.0.10-1.fc12

How reproducible:
always

Steps to Reproduce:
1. mock -r till-F12-x86_64 rebuild cryptsetup-luks-1.1.3-1.fc12.src.rpm
  
Actual results:
mock claims it failed

Expected results:
mock should not claim it failed

Additional info:
There is a warning message:
INFO: selinux enabled
WARNING: selinux: 'yum' does not support '--setopt' option
State Changed: start
Comment 1 Bug Zapper 2010-11-03 07:10:55 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-12-03 07:55:13 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.